petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscQuadratureGetData

Returns the data defining the quadrature

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscQuadratureGetData(PetscQuadrature q, PetscInt *dim, PetscInt *npoints, const PetscReal *points[], const PetscReal *weights[])

Not collective

### Input Parameter

q -The PetscQuadrature object

### Output Parameters

| dim | - The spatial dimension
| npoints | - The number of quadrature points
| points | - The coordinates of each quadrature point
| weights | - The weight of each quadrature point

### Keywords

PetscQuadrature, quadrature

### See Also

PetscQuadratureCreate(), PetscQuadratureSetData()

Level:intermediate
Location:src/dm/dt/interface/dt.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages